diff --git a/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/name/e4/TaxonNameEditorE4.java b/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/name/e4/TaxonNameEditorE4.java
index 0f4fc6f84..71135ea1b 100644
--- a/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/name/e4/TaxonNameEditorE4.java
+++ b/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/name/e4/TaxonNameEditorE4.java
@@ -103,10 +103,8 @@ import eu.etaxonomy.taxeditor.store.CdmStore;
 import eu.etaxonomy.taxeditor.workbench.part.IE4SavablePart;
 
 /**
- *
  * @author pplitzner
  * @date Aug 24, 2017
- *
  */
 public class TaxonNameEditorE4 implements IConversationEnabled, IDirtyMarkable, IPartContentHasDetails,
         IPartContentHasSupplementalData, IPartContentHasMedia, IPartContentHasFactualData, IPartChangeListener,
@@ -136,7 +134,7 @@ public class TaxonNameEditorE4 implements IConversationEnabled, IDirtyMarkable,
     @Inject
     UISynchronize sync;
 
-    private TaxonBase objectAffectedByLastOperation;
+    private TaxonBase<?> objectAffectedByLastOperation;
 
     @Inject
     private EMenuService menuService;
@@ -189,7 +187,7 @@ public class TaxonNameEditorE4 implements IConversationEnabled, IDirtyMarkable,
             @Override
             public boolean setInput(Object input) {
                 if (input instanceof AbstractGroupedContainerE4) {
-                    TaxonBase newSelection = ((AbstractGroupedContainerE4) input).getData();
+                    TaxonBase<?> newSelection = ((AbstractGroupedContainerE4<?>) input).getData();
                     if (selection != newSelection || TaxonNameEditorE4.this.isDirty()) {
                         selection = newSelection;
                         selService.setSelection(new StructuredSelection(selection));
@@ -306,7 +304,6 @@ public class TaxonNameEditorE4 implements IConversationEnabled, IDirtyMarkable,
         return conversation;
     }
 
-    /** {@inheritDoc} */
     @Override
     public void update(CdmDataChangeMap events) {
         // redraw();
@@ -340,7 +337,7 @@ public class TaxonNameEditorE4 implements IConversationEnabled, IDirtyMarkable,
     @Override
     public boolean postOperation(Object objectAffectedByOperation) {
         if (objectAffectedByOperation instanceof TaxonBase) {
-            objectAffectedByLastOperation = (TaxonBase) objectAffectedByOperation;
+            objectAffectedByLastOperation = (TaxonBase<?>) objectAffectedByOperation;
         }
 
         redraw(true, true, true, true);
@@ -361,7 +358,7 @@ public class TaxonNameEditorE4 implements IConversationEnabled, IDirtyMarkable,
      * @return true if there are empty names
      */
     public boolean checkForEmptyNames() {
-        for (AbstractGroupedContainerE4 container : getGroupedContainers()) {
+        for (AbstractGroupedContainerE4<?> container : getGroupedContainers()) {
             if (container != null
                     && (container.getName() == null || StringUtils.isEmpty(container.getName().getTitleCache()))) {
                 return true;
@@ -373,7 +370,7 @@ public class TaxonNameEditorE4 implements IConversationEnabled, IDirtyMarkable,
     public Set<AbstractGroupedContainerE4> getEmptyContainers() {
         Set<AbstractGroupedContainerE4> containersWithEmptyNames = new HashSet<>();
 
-        for (AbstractGroupedContainerE4 container : getGroupedContainers()) {
+        for (AbstractGroupedContainerE4<?> container : getGroupedContainers()) {
             if (container.getName() == null || StringUtils.isEmpty(container.getName().getTitleCache())) {
                 containersWithEmptyNames.add(container);
             }
@@ -382,7 +379,6 @@ public class TaxonNameEditorE4 implements IConversationEnabled, IDirtyMarkable,
         return containersWithEmptyNames;
     }
 
-    /** {@inheritDoc} */
     @Override
     @Persist
     public void save(IProgressMonitor monitor) {
@@ -401,7 +397,7 @@ public class TaxonNameEditorE4 implements IConversationEnabled, IDirtyMarkable,
                     Messages.MultiPageTaxonEditor_NO_NAME_SPECIFIED_MESSAGE);
             return;
         }
-        for (AbstractGroupedContainerE4 container : getGroupedContainers()) {
+        for (AbstractGroupedContainerE4<?> container : getGroupedContainers()) {
 
             monitor.subTask(Messages.TaxonNameEditor_SAVING_COMPOSITES + container.getTaxonBase().getTitleCache());
             container.persistName();
@@ -460,7 +456,7 @@ public class TaxonNameEditorE4 implements IConversationEnabled, IDirtyMarkable,
         setPartName();
 
         // set initial selection
-        TaxonBase initiallySelectedTaxonBase = input.getInitiallySelectedTaxonBase();
+        TaxonBase<?> initiallySelectedTaxonBase = input.getInitiallySelectedTaxonBase();
         if (initiallySelectedTaxonBase != null) {
             selService.setSelection(new StructuredSelection(initiallySelectedTaxonBase));
             getContainer(initiallySelectedTaxonBase).setSelected();
@@ -503,7 +499,7 @@ public class TaxonNameEditorE4 implements IConversationEnabled, IDirtyMarkable,
     public Set<AbstractGroupedContainerE4> getDirtyNames() {
         Set<AbstractGroupedContainerE4> dirtyNames = new HashSet<>();
 
-        for (AbstractGroupedContainerE4 composite : getGroupedContainers()) {
+        for (AbstractGroupedContainerE4<?> composite : getGroupedContainers()) {
             if (composite.isDirty()) {
                 dirtyNames.add(composite);
             }
@@ -565,7 +561,6 @@ public class TaxonNameEditorE4 implements IConversationEnabled, IDirtyMarkable,
         eventBroker.post(WorkbenchEventConstants.CURRENT_ACTIVE_EDITOR, null);
     }
 
-    /** {@inheritDoc} */
     @Override
     public void selectionChanged(IWorkbenchPart part, ISelection selection) {
         System.err.println("Bla");
@@ -627,7 +622,6 @@ public class TaxonNameEditorE4 implements IConversationEnabled, IDirtyMarkable,
         return true;
     }
 
-    /** {@inheritDoc} */
     @Override
     public void partChanged(Integer eventType, IWorkbenchPartReference partRef) {
         if (!partRef.getPart(false).equals(this)) {
@@ -649,7 +643,7 @@ public class TaxonNameEditorE4 implements IConversationEnabled, IDirtyMarkable,
     public AbstractGroupedContainerE4 getContainer(TaxonBase taxonBase) {
         @SuppressWarnings("rawtypes")
         List<AbstractGroupedContainerE4> groupedContainers = getGroupedContainers();
-        for (AbstractGroupedContainerE4 container : groupedContainers) {
+        for (AbstractGroupedContainerE4<?> container : groupedContainers) {
             if (container.getData().equals(taxonBase) && container.getNameViewer().getTextWidget() != null) {
                 return container;
             }
@@ -669,7 +663,7 @@ public class TaxonNameEditorE4 implements IConversationEnabled, IDirtyMarkable,
 
     protected void setEnabled(boolean enabled, Color background) {
 
-        for (AbstractGroupedContainerE4 groupedContainer : getGroupedContainers()) {
+        for (AbstractGroupedContainerE4<?> groupedContainer : getGroupedContainers()) {
             groupedContainer.setEnabled(enabled);
         }
 
@@ -678,7 +672,7 @@ public class TaxonNameEditorE4 implements IConversationEnabled, IDirtyMarkable,
         if (!enabled) {
             getManagedForm().setInput(null);
 
-            for (AbstractGroupedContainerE4 groupedContainer : getGroupedContainers()) {
+            for (AbstractGroupedContainerE4<?> groupedContainer : getGroupedContainers()) {
                 groupedContainer.setBackground(background);
             }
         }
@@ -699,7 +693,7 @@ public class TaxonNameEditorE4 implements IConversationEnabled, IDirtyMarkable,
         }
 
         if (element instanceof TaxonBase) {
-            AbstractGroupedContainerE4 container = getContainer((TaxonBase) element);
+            AbstractGroupedContainerE4<?> container = getContainer((TaxonBase<?>) element);
             if (container != null) {
                 container.refresh();
             }
@@ -741,9 +735,6 @@ public class TaxonNameEditorE4 implements IConversationEnabled, IDirtyMarkable,
         return selService;
     }
 
-    /**
-     * {@inheritDoc}
-     */
     @Override
     public boolean canAttachMedia() {
         return true;
@@ -753,9 +744,6 @@ public class TaxonNameEditorE4 implements IConversationEnabled, IDirtyMarkable,
         return input;
     }
 
-    /**
-     * {@inheritDoc}
-     */
     @Override
     public TaxonNameEditorE4 getEditor() {
         return this;
@@ -828,20 +816,15 @@ public class TaxonNameEditorE4 implements IConversationEnabled, IDirtyMarkable,
 
     }
 
-    /**
-     * {@inheritDoc}
-     */
     @Override
     public void update() {
         EPartService partService = TaxeditorEditorPlugin.getDefault().getWorkbench().getActiveWorkbenchWindow().getService(EPartService.class);
         EModelService modelService = TaxeditorEditorPlugin.getDefault().getWorkbench().getActiveWorkbenchWindow().getService(EModelService.class);
         EditorUtil.openTaxonBaseE4(this.getTaxon().getUuid(), modelService, partService, application);
-
     }
 
     @Override
     public TaxonNode getTaxonNode() {
         return input.getTaxonNode();
     }
-
 }
diff --git a/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/name/e4/container/AbstractGroupE4.java b/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/name/e4/container/AbstractGroupE4.java
index 95678e450..a916158a6 100644
--- a/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/name/e4/container/AbstractGroupE4.java
+++ b/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/name/e4/container/AbstractGroupE4.java
@@ -33,10 +33,8 @@ import eu.etaxonomy.taxeditor.model.AbstractUtility;
 import eu.etaxonomy.taxeditor.preference.Resources;
 
 /**
- *
  * @author pplitzner
  * @date Aug 24, 2017
- *
  */
 public abstract class AbstractGroupE4 implements IDropTargetableE4{
 
@@ -135,19 +133,18 @@ public abstract class AbstractGroupE4 implements IDropTargetableE4{
     public void dragEntered() {
 		Color color = AbstractUtility.getColor(Resources.COLOR_DRAG_ENTER);
 
-		for(AbstractGroupedContainerE4 container : groupedContainers){
+		for(AbstractGroupedContainerE4<?> container : groupedContainers){
 			container.setBackground(color);
 		}
 	}
 
 	@Override
     public void dragLeft() {
-		for(AbstractGroupedContainerE4 container : groupedContainers){
+		for(AbstractGroupedContainerE4<?> container : groupedContainers){
 			container.restoreColor();
 		}
 	}
 
-	/** {@inheritDoc} */
 	@Override
     public boolean postOperation(Object objectAffectedByOperation) {
 		editor.changed(objectAffectedByOperation);
@@ -176,7 +173,7 @@ public abstract class AbstractGroupE4 implements IDropTargetableE4{
 	public void dispose(){
 		if(getControl() != null){
 		    getControl().setMenu(null);
-			for(AbstractGroupedContainerE4 container : getGroupedContainers()){
+			for(AbstractGroupedContainerE4<?> container : getGroupedContainers()){
 				container.dispose();
 			}
 			getControl().dispose();
@@ -184,7 +181,7 @@ public abstract class AbstractGroupE4 implements IDropTargetableE4{
 	}
 
 	protected void emptyGroup(){
-		for(AbstractGroupedContainerE4 container : groupedContainers){
+		for(AbstractGroupedContainerE4<?> container : groupedContainers){
 		    container.getControl().setMenu(null);
 			container.dispose();
 		}
@@ -192,7 +189,7 @@ public abstract class AbstractGroupE4 implements IDropTargetableE4{
 	}
 
 	protected void setMenuToGroup(){
-        for(AbstractGroupedContainerE4 container : groupedContainers){
+        for(AbstractGroupedContainerE4<?> container : groupedContainers){
             container.setMenu();
 
         }
diff --git a/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/name/e4/container/AcceptedNameContainerE4.java b/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/name/e4/container/AcceptedNameContainerE4.java
index c9f13efe8..dbf44bac6 100644
--- a/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/name/e4/container/AcceptedNameContainerE4.java
+++ b/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/name/e4/container/AcceptedNameContainerE4.java
@@ -14,6 +14,10 @@ import eu.etaxonomy.cdm.model.taxon.Taxon;
 import eu.etaxonomy.taxeditor.model.AbstractUtility;
 import eu.etaxonomy.taxeditor.preference.Resources;
 
+/**
+ * @author pplitzner
+ * @date 24-08-2017
+ */
 public class AcceptedNameContainerE4 extends AbstractGroupedContainerE4<Taxon> {
 
 	public AcceptedNameContainerE4(AcceptedGroupE4 group, Taxon taxon) {
@@ -27,19 +31,16 @@ public class AcceptedNameContainerE4 extends AbstractGroupedContainerE4<Taxon> {
 		initTextViewer();
 	}
 
-	/** {@inheritDoc} */
 	@Override
 	protected Font getViewerFont() {
 		return AbstractUtility.getFont(Resources.ACCEPTED_TAXON_FONT);
 	}
 
-	/** {@inheritDoc} */
 	@Override
 	protected void updateNonEditableInfo() {
 		// not needed
 	}
 
-
 	@Override
 	protected void updateIcon() {
 		setIcon(ACCEPTED_ICON);
@@ -49,5 +50,4 @@ public class AcceptedNameContainerE4 extends AbstractGroupedContainerE4<Taxon> {
 	protected void updateIndent() {
 		setIndent(ACCEPTED_INDENT);
 	}
-
 }
diff --git a/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/name/e4/container/ConceptContainerE4.java b/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/name/e4/container/ConceptContainerE4.java
index c6563ba39..381a48582 100755
--- a/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/name/e4/container/ConceptContainerE4.java
+++ b/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/name/e4/container/ConceptContainerE4.java
@@ -30,10 +30,8 @@ import eu.etaxonomy.taxeditor.preference.Resources;
 import eu.etaxonomy.taxeditor.store.CdmStore;
 
 /**
- *
  * @author pplitzner
  * @date Aug 24, 2017
- *
  */
 public class ConceptContainerE4 extends AbstractGroupedContainerE4<Taxon> {
 	TaxonRelationship relationship;
@@ -44,10 +42,8 @@ public class ConceptContainerE4 extends AbstractGroupedContainerE4<Taxon> {
 		super(group, misappliedName);
 		this.conceptType = conceptType;
 		misappliedFormatter = new TaxonRelationshipFormatter();
-
 	}
 
-	/** {@inheritDoc} */
 	@Override
 	protected void initializeComposite() {
 		setIsDraggable(true);
@@ -103,7 +99,6 @@ public class ConceptContainerE4 extends AbstractGroupedContainerE4<Taxon> {
 		return getTaxonBase();
 	}
 
-	/** {@inheritDoc} */
 	@Override
 	protected Font getViewerFont() {
 		return AbstractUtility.getFont(Resources.MISAPPLIEDNAME_FONT);
@@ -118,8 +113,6 @@ public class ConceptContainerE4 extends AbstractGroupedContainerE4<Taxon> {
 		super.showAnnotations();
 	}
 
-
-	/** {@inheritDoc} */
 	@Override
 	protected void updateNonEditableInfo() {
 		showSec();
@@ -192,5 +185,4 @@ public class ConceptContainerE4 extends AbstractGroupedContainerE4<Taxon> {
 
 		enableFreeText();
 	}
-
 }
diff --git a/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/name/e4/container/SynonymContainerE4.java b/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/name/e4/container/SynonymContainerE4.java
index 6be17b2eb..909e825f3 100644
--- a/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/name/e4/container/SynonymContainerE4.java
+++ b/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/name/e4/container/SynonymContainerE4.java
@@ -18,8 +18,8 @@ import eu.etaxonomy.cdm.model.name.HomotypicalGroup;
 import eu.etaxonomy.cdm.model.name.NomenclaturalStatus;
 import eu.etaxonomy.cdm.model.name.TaxonName;
 import eu.etaxonomy.cdm.model.taxon.Synonym;
-import eu.etaxonomy.taxeditor.editor.EditorUtil;
 import eu.etaxonomy.taxeditor.editor.l10n.Messages;
+import eu.etaxonomy.taxeditor.model.AbstractUtility;
 import eu.etaxonomy.taxeditor.model.MessagingUtils;
 import eu.etaxonomy.taxeditor.preference.Resources;
 
@@ -28,7 +28,6 @@ import eu.etaxonomy.taxeditor.preference.Resources;
  *
  * @author p.ciardelli
  * @created 13.01.2009
- * @version 1.0
  */
 public class SynonymContainerE4 extends AbstractGroupedContainerE4<Synonym> {
 
@@ -52,7 +51,6 @@ public class SynonymContainerE4 extends AbstractGroupedContainerE4<Synonym> {
 		this.icon = icon;
 	}
 
-	/** {@inheritDoc} */
 	@Override
 	protected void initializeComposite() {
 		setIsDraggable(true);
@@ -123,18 +121,14 @@ public class SynonymContainerE4 extends AbstractGroupedContainerE4<Synonym> {
 	 */
 	@Override
     protected Font getViewerFont() {
-		return EditorUtil.getFont(Resources.SYNONYM_FONT);
+		return AbstractUtility.getFont(Resources.SYNONYM_FONT);
 	}
 
-	/** {@inheritDoc} */
 	@Override
 	protected void updateNonEditableInfo() {
 		// not needed
 	}
 
-	/* (non-Javadoc)
-	 * @see eu.etaxonomy.taxeditor.editor.name.AbstractGroupedContainer#updateIndent()
-	 */
 	@Override
 	protected void updateIndent() {
 		setIndent(this.indent );
diff --git a/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/name/e4/dnd/NameEditorDragListenerE4.java b/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/name/e4/dnd/NameEditorDragListenerE4.java
index 913378f74..4c5195317 100644
--- a/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/name/e4/dnd/NameEditorDragListenerE4.java
+++ b/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/name/e4/dnd/NameEditorDragListenerE4.java
@@ -14,20 +14,17 @@ import eu.etaxonomy.taxeditor.editor.name.e4.container.AbstractGroupedContainerE
 import eu.etaxonomy.taxeditor.editor.name.e4.container.ConceptContainerE4;
 
 /**
- *
  * @author pplitzner
  * @date 04.09.2017
- *
  */
 public class NameEditorDragListenerE4 extends DragSourceAdapter {
 
-	private AbstractGroupedContainerE4 container;
+	private AbstractGroupedContainerE4<?> container;
 
 	public NameEditorDragListenerE4(AbstractGroupedContainerE4 container){
 		this.container = container;
 	}
 
-	/** {@inheritDoc} */
 	@Override
     public void dragFinished(DragSourceEvent event) {
 		if(!event.doit) {
@@ -39,9 +36,8 @@ public class NameEditorDragListenerE4 extends DragSourceAdapter {
 			managedForm.reflow(true);
 		}
 
-	};
+	}
 
-	/** {@inheritDoc} */
 	@Override
 	public void dragSetData(DragSourceEvent event) {
 		ICdmBase[] cdmBaseObjects = new ICdmBase[]{container.getData()};
@@ -50,7 +46,6 @@ public class NameEditorDragListenerE4 extends DragSourceAdapter {
         }
 	}
 
-	/** {@inheritDoc} */
 	@Override
 	public void dragStart(DragSourceEvent event) {
 		event.doit = (container.getData() != null) && !(container instanceof ConceptContainerE4);
diff --git a/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/name/e4/dnd/NameEditorDragSourceEffect.java b/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/name/e4/dnd/NameEditorDragSourceEffect.java
index ade85e166..008b055c7 100644
--- a/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/name/e4/dnd/NameEditorDragSourceEffect.java
+++ b/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/name/e4/dnd/NameEditorDragSourceEffect.java
@@ -9,7 +9,6 @@ import org.eclipse.swt.widgets.Control;
 
 /**
  * @author n.hoffmann
- * @version $Id: $
  */
 public class NameEditorDragSourceEffect extends DragSourceEffect {
 
@@ -17,13 +16,11 @@ public class NameEditorDragSourceEffect extends DragSourceEffect {
 		super(control);
 	}
 
-	/** {@inheritDoc} */
 	@Override
 	public void dragStart(DragSourceEvent event) {
 		super.dragStart(event);
 	}
 
-	/** {@inheritDoc} */
 	@Override
 	public void dragFinished(DragSourceEvent event) {
 		super.dragFinished(event);
diff --git a/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/name/e4/dnd/NameEditorDropTargetEffect.java b/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/name/e4/dnd/NameEditorDropTargetEffect.java
index be41b3a19..693cde5f9 100644
--- a/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/name/e4/dnd/NameEditorDropTargetEffect.java
+++ b/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/name/e4/dnd/NameEditorDropTargetEffect.java
@@ -12,9 +12,7 @@ import eu.etaxonomy.taxeditor.editor.name.e4.IDropTargetableE4;
 import eu.etaxonomy.taxeditor.preference.Resources;
 
 /**
- *
  * @author n.hoffmann
- * @version $Id: $
  */
 public class NameEditorDropTargetEffect extends DropTargetEffect {
 
@@ -22,7 +20,6 @@ public class NameEditorDropTargetEffect extends DropTargetEffect {
 		super(control);
 	}
 
-	/** {@inheritDoc} */
 	@Override
     public void dragEnter(DropTargetEvent dropTargetEvent) {
 		if(dropTargetEvent.widget instanceof IDropTargetableE4){
@@ -30,7 +27,6 @@ public class NameEditorDropTargetEffect extends DropTargetEffect {
 		}
 	}
 
-	/** {@inheritDoc} */
 	@Override
     public void dragLeave(DropTargetEvent dropTargetEvent) {
 		if(dropTargetEvent.widget instanceof Control){
diff --git a/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/name/e4/dnd/NameEditorDropTargetListenerE4.java b/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/name/e4/dnd/NameEditorDropTargetListenerE4.java
index 729b4a62f..03dc77bc3 100644
--- a/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/name/e4/dnd/NameEditorDropTargetListenerE4.java
+++ b/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/name/e4/dnd/NameEditorDropTargetListenerE4.java
@@ -31,10 +31,8 @@ import eu.etaxonomy.taxeditor.model.MessagingUtils;
 import eu.etaxonomy.taxeditor.operation.AbstractPostOperation;
 
 /**
- *
  * @author pplitzner
  * @date Aug 24, 2017
- *
  */
 public class NameEditorDropTargetListenerE4 extends DropTargetAdapter {
 
@@ -44,24 +42,20 @@ public class NameEditorDropTargetListenerE4 extends DropTargetAdapter {
 		this.target = target;
 	}
 
-	/** {@inheritDoc} */
 	@Override
     public void dragEnter(DropTargetEvent dropTargetEvent) {
 		target.dragEntered();
 	}
 
-	/** {@inheritDoc} */
 	@Override
     public void dragLeave(DropTargetEvent dropTargetEvent) {
 		target.dragLeft();
 	}
 
-
-	/** {@inheritDoc} */
 	@Override
     public void drop(DropTargetEvent dropTargetEvent) {
 
-		TaxonBase taxonBase = getDroppedTaxonBase(dropTargetEvent);
+		TaxonBase<?> taxonBase = getDroppedTaxonBase(dropTargetEvent);
 
 		Assert.isNotNull(taxonBase);
 
@@ -77,7 +71,7 @@ public class NameEditorDropTargetListenerE4 extends DropTargetAdapter {
 		}
 
 		// Execute operations at end of drag event
-		AbstractPostOperation operation = createOperation(taxonBase);
+		AbstractPostOperation<?> operation = createOperation(taxonBase);
 
 		// Execute operation if it has been initiated
 		if (operation == null) {
@@ -144,13 +138,11 @@ public class NameEditorDropTargetListenerE4 extends DropTargetAdapter {
 		return null;
 	}
 
-	/** {@inheritDoc} */
 	@Override
 	public void dropAccept(DropTargetEvent event) {
 		// pass
 	}
 
-
 	private HomotypicalGroup getHomotypicalGroup() {
 		if(target instanceof AbstractHomotypicalGroupContainerE4){
 			return ((AbstractHomotypicalGroupContainerE4) target).getGroup();
diff --git a/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/name/e4/handler/ChangeSynonymToAcceptedTaxonHandlerE4.java b/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/name/e4/handler/ChangeSynonymToAcceptedTaxonHandlerE4.java
index fb35f7389..4cc9fac50 100644
--- a/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/name/e4/handler/ChangeSynonymToAcceptedTaxonHandlerE4.java
+++ b/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/name/e4/handler/ChangeSynonymToAcceptedTaxonHandlerE4.java
@@ -42,10 +42,8 @@ import eu.etaxonomy.taxeditor.operation.IPostOperationEnabled;
 import eu.etaxonomy.taxeditor.ui.dialog.selection.TaxonNodeSelectionDialog;
 
 /**
- *
  * @author pplitzner
  * @since Aug 28, 2017
- *
  */
 public class ChangeSynonymToAcceptedTaxonHandlerE4 implements IPostOperationEnabled {
 	private static final Logger logger = Logger
@@ -102,10 +100,8 @@ public class ChangeSynonymToAcceptedTaxonHandlerE4 implements IPostOperationEnab
 
 			AbstractUtility.executeOperation(operation, sync);
 		}
-
 	}
 
-	/** {@inheritDoc} */
 	@Override
     public boolean postOperation(Object objectAffectedByOperation) {
 
@@ -129,7 +125,6 @@ public class ChangeSynonymToAcceptedTaxonHandlerE4 implements IPostOperationEnab
 		return false;
 	}
 
-
     @CanExecute
     public boolean canExecute(@Named(IServiceConstants.ACTIVE_SELECTION)IStructuredSelection selection,
             MHandledMenuItem menuItem){
@@ -146,5 +141,4 @@ public class ChangeSynonymToAcceptedTaxonHandlerE4 implements IPostOperationEnab
         }
         return canExecute;
     }
-
 }
diff --git a/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/name/handler/NameEditorMenuPropertyTester.java b/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/name/handler/NameEditorMenuPropertyTester.java
index d99c7f0a5..a401a07fb 100755
--- a/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/name/handler/NameEditorMenuPropertyTester.java
+++ b/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/name/handler/NameEditorMenuPropertyTester.java
@@ -26,7 +26,6 @@ import eu.etaxonomy.taxeditor.store.CdmStore;
  *
  * @author n.hoffmann
  * @created Jun 22, 2010
- * @version 1.0
  */
 public class NameEditorMenuPropertyTester extends PropertyTester {
 
@@ -53,7 +52,6 @@ public class NameEditorMenuPropertyTester extends PropertyTester {
 	public NameEditorMenuPropertyTester() {
 	}
 
-	/** {@inheritDoc} */
 	@Override
     public boolean test(Object receiver, String property, Object[] args,
 			Object expectedValue) {
@@ -143,7 +141,7 @@ public class NameEditorMenuPropertyTester extends PropertyTester {
 
 	public static boolean isSynonymOrTaxonInHomotypicalGroupWithMoreSynonyms(Object selectedElement) {
 		if (isSynonym(selectedElement) || isAccepted(selectedElement)){
-			TaxonBase synonym = (TaxonBase) selectedElement;
+			TaxonBase<?> synonym = (TaxonBase<?>) selectedElement;
 			return synonym.getHomotypicGroup().getTypifiedNames().size()>1;
 		}
 		return false;
diff --git a/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/name/operation/ChangeConceptRelationshipTypeOperation.java b/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/name/operation/ChangeConceptRelationshipTypeOperation.java
index 8d6672ab7..cda8ec23d 100644
--- a/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/name/operation/ChangeConceptRelationshipTypeOperation.java
+++ b/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/name/operation/ChangeConceptRelationshipTypeOperation.java
@@ -32,7 +32,6 @@ import eu.etaxonomy.taxeditor.operation.IPostOperationEnabled;
  *
  * @author n.hoffmann
  * @created 03.02.2009
- * @version 1.0
  */
 public class ChangeConceptRelationshipTypeOperation extends AbstractPostTaxonOperation {
 
@@ -71,10 +70,6 @@ public class ChangeConceptRelationshipTypeOperation extends AbstractPostTaxonOpe
 		this.newRelationshipType = type;
 	}
 
-	/* (non-Javadoc)
-	 * @see org.eclipse.core.commands.operations.AbstractOperation#execute(org.eclipse.core.runtime.IProgressMonitor, org.eclipse.core.runtime.IAdaptable)
-	 */
-	/** {@inheritDoc} */
 	@Override
 	public IStatus execute(IProgressMonitor monitor, IAdaptable info)
 			throws ExecutionException {
@@ -93,20 +88,12 @@ public class ChangeConceptRelationshipTypeOperation extends AbstractPostTaxonOpe
 		return postExecute(relatedTaxon);
 	}
 
-	/* (non-Javadoc)
-	 * @see org.eclipse.core.commands.operations.AbstractOperation#redo(org.eclipse.core.runtime.IProgressMonitor, org.eclipse.core.runtime.IAdaptable)
-	 */
-	/** {@inheritDoc} */
 	@Override
 	public IStatus redo(IProgressMonitor monitor, IAdaptable info)
 			throws ExecutionException {
 		return execute(monitor, info);
 	}
 
-	/* (non-Javadoc)
-	 * @see org.eclipse.core.commands.operations.AbstractOperation#undo(org.eclipse.core.runtime.IProgressMonitor, org.eclipse.core.runtime.IAdaptable)
-	 */
-	/** {@inheritDoc} */
 	@Override
 	public IStatus undo(IProgressMonitor monitor, IAdaptable info)
 			throws ExecutionException {
diff --git a/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/name/operation/ChangeConceptToSynonymOperation.java b/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/name/operation/ChangeConceptToSynonymOperation.java
index 67ad45475..13a130210 100644
--- a/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/name/operation/ChangeConceptToSynonymOperation.java
+++ b/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/name/operation/ChangeConceptToSynonymOperation.java
@@ -37,7 +37,6 @@ import eu.etaxonomy.taxeditor.store.CdmStore;
  * @author p.ciardelli
  * @author n.hoffmann
  * @created 15.01.2009
- * @version 1.0
  */
 public class ChangeConceptToSynonymOperation extends
 		AbstractPostTaxonOperation {
@@ -81,7 +80,6 @@ public class ChangeConceptToSynonymOperation extends
 		this.homotypicalGroup = homotypicalGroup != null ? homotypicalGroup : HomotypicalGroup.NewInstance();
 	}
 
-	/** {@inheritDoc} */
 	@Override
 	public IStatus execute(IProgressMonitor monitor, IAdaptable info)
 			throws ExecutionException {
@@ -104,7 +102,6 @@ public class ChangeConceptToSynonymOperation extends
 		return postExecute(synonym);
 	}
 
-	/** {@inheritDoc} */
 	@Override
 	public IStatus redo(IProgressMonitor monitor, IAdaptable info)
 			throws ExecutionException {
@@ -112,7 +109,6 @@ public class ChangeConceptToSynonymOperation extends
 		return null;
 	}
 
-	/** {@inheritDoc} */
 	@Override
 	public IStatus undo(IProgressMonitor monitor, IAdaptable info)
 			throws ExecutionException {
